/*------------------------------------------------------------------------------
-- This file is a part of the QLop Software
-- Copyright (C) 2015, Plasma Physics Laboratory - CNRS
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
-------------------------------------------------------------------------------*/
/*-- Author : Alexis Jeandet
-- Mail : alexis.jeandet@member.fsf.org
----------------------------------------------------------------------------*/
#ifndef QLOPGUI_H
#define QLOPGUI_H

#include <QObject>
#include <qlopservice.h>
#include <QMenu>
#include <QMenuBar>
#include <QAction>

class QLopGUI : public QLopService
{
    Q_OBJECT
    static QDockWidget* m_gui;
    QLopGUI(bool noGUI=false,QObject *parent = 0);
    ~QLopGUI();
    static QLopGUI* _self;
    static QMenuBar* m_mainMenuBar;
    static QMenu* m_fileMenu;
    static QMenu* m_SettingsMenu;
public:
    QDockWidget* getGUI();
    static void init(bool noGUI=false,QObject *parent = 0);
    const QString& serviceName();
    static QLopGUI* self();
    static void registerMenuBar(QMenuBar* menuBar);
    static QMenu* addMenu(const QString & title);
    static bool addFileAction(QAction * action);
    static bool addSettingsAction(QAction * action);
};

#endif // QLOPGUI_H
